orm

## Class Anotacion

- java.lang.Object
- - orm.Anotacion

    public class Anotacion
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Anotacion()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getDescripcion()`
`Estudiante` `getEstudiante_id_fk()`
`int` `getId_pk()`
`int` `getORMID()`
`java.lang.Boolean` `getPositiva()`
`Profesor` `getProfesor_id_fk()`
`void` `setDescripcion(java.lang.String value)`
`void` `setEstudiante_id_fk(Estudiante value)`
`void` `setORM_Estudiante_id_fk(Estudiante value)` This method is for internal use only.
`void` `setORM_Profesor_id_fk(Profesor value)` This method is for internal use only.
`void` `setPositiva(boolean value)`
`void` `setPositiva(java.lang.Boolean value)`
`void` `setProfesor_id_fk(Profesor value)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Anotacion

    public Anotacion()

### Method Detail

#### getId_pk

    public int getId_pk()

#### getORMID

    public int getORMID()

#### getDescripcion

    public java.lang.String getDescripcion()

#### setDescripcion

    public void setDescripcion(java.lang.String value)

#### setPositiva

    public void setPositiva(boolean value)

#### getPositiva

    public java.lang.Boolean getPositiva()

#### setPositiva

    public void setPositiva(java.lang.Boolean value)

#### getEstudiante_id_fk

    public Estudiante getEstudiante_id_fk()

#### setEstudiante_id_fk

    public void setEstudiante_id_fk(Estudiante value)

#### setORM_Estudiante_id_fk

    public void setORM_Estudiante_id_fk(Estudiante value)

This method is for internal use only.

#### getProfesor_id_fk

    public Profesor getProfesor_id_fk()

#### setProfesor_id_fk

    public void setProfesor_id_fk(Profesor value)

#### setORM_Profesor_id_fk

    public void setORM_Profesor_id_fk(Profesor value)

This method is for internal use only.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`